MyGUI 3.2.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions
MyGUI::RotatingSkin Class Reference

`#include <MyGUI_RotatingSkin.h>`

Inheritance diagram for MyGUI::RotatingSkin:
[legend]

## Public Types
typedef RTTIBase | Base
typedef RotatingSkin | RTTIBase
Public Types inherited from MyGUI::ISubWidgetRect
typedef RTTIBase | Base
typedef ISubWidgetRect | RTTIBase
Public Types inherited from MyGUI::ISubWidget
typedef RTTIBase | Base
typedef ISubWidget | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual const std::string & | getTypeName () const
virtual bool | isType (const std::type_info &_type) const
template<typename Type >
bool | isType () const
| RotatingSkin ()
virtual | ~RotatingSkin ()
void | setAngle (float _angle)
float | getAngle () const
void | setCenter (const IntPoint &_center)
IntPoint | getCenter (bool _local=true) const
virtual void | setAlpha (float _alpha)
virtual void | setVisible (bool _visible)
virtual void | setStateData (IStateInfo *_data)
virtual void | createDrawItem (ITexture *_texture, ILayerNode *_node)
virtual void | destroyDrawItem ()
virtual void | doRender ()
virtual void | _updateView ()
virtual void | _correctView ()
virtual void | _setAlign (const IntSize &_oldsize)
virtual void | _setUVSet (const FloatRect &_rect)
virtual void | _setColour (const Colour &_value)
Public Member Functions inherited from MyGUI::ISubWidgetRect
template<typename Type >
bool | isType () const
virtual | ~ISubWidgetRect ()
Public Member Functions inherited from MyGUI::ISubWidget
template<typename Type >
bool | isType () const
| ISubWidget ()
virtual | ~ISubWidget ()
virtual void | setAlign (Align _value)
virtual void | doManualRender (IVertexBuffer *_buffer, ITexture *_texture, size_t _count)
Public Member Functions inherited from MyGUI::ICroppedRectangle
| ICroppedRectangle ()
virtual | ~ICroppedRectangle ()
ICroppedRectangle * | getCroppedParent ()
virtual void | setPosition (const IntPoint &_value)
virtual void | setSize (const IntSize &_value)
virtual void | setCoord (const IntCoord &_value)
IntPoint | getPosition () const
IntSize | getSize () const
const IntCoord & | getCoord () const
const IntPoint & | getAbsolutePosition () const
IntRect | getAbsoluteRect () const
IntCoord | getAbsoluteCoord () const
int | getAbsoluteLeft () const
int | getAbsoluteTop () const
int | getLeft () const
int | getRight () const
int | getTop () const
int | getBottom () const
int | getWidth () const
int | getHeight () const
bool | _isMargin () const
int | _getViewLeft () const
int | _getViewRight () const
int | _getViewTop () const
int | _getViewBottom () const
int | _getViewWidth () const
int | _getViewHeight () const
void | _setCroppedParent (ICroppedRectangle *_parent)
const IntRect & | _getMargin () const
int | _getMarginLeft () const
int | _getMarginRight () const
int | _getMarginTop () const
int | _getMarginBottom () const
Public Member Functions inherited from MyGUI::IObject
template<typename Type >
bool | isType () const
template<typename Type >
Type * | castType (bool _throw=true)
template<typename Type >
const Type * | castType (bool _throw=true) const
| IObject ()
virtual | ~IObject ()

## Static Public Member Functions
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ISubWidgetRect
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ISubWidget
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static const std::string & | getClassTypeName ()

## Protected Member Functions
void | _rebuildGeometry ()
Protected Member Functions inherited from MyGUI::ICroppedRectangle
bool | _checkMargin ()
bool | _checkOutside () const

## Additional Inherited Members
Protected Attributes inherited from MyGUI::ISubWidget
Align | mAlign
bool | mVisible
Protected Attributes inherited from MyGUI::ICroppedRectangle
IntRect | mMargin
IntCoord | mCoord
IntPoint | mAbsolutePosition
bool | mIsMargin
ICroppedRectangle * | mCroppedParent

## Detailed Description

Definition at line 18 of file MyGUI_RotatingSkin.h.

## Member Typedef Documentation

typedef RTTIBase MyGUI::RotatingSkin::Base

Definition at line 21 of file MyGUI_RotatingSkin.h.

typedef RotatingSkin MyGUI::RotatingSkin::RTTIBase

Definition at line 21 of file MyGUI_RotatingSkin.h.

## Constructor & Destructor Documentation

MyGUI::RotatingSkin::RotatingSkin | ( |  | ) |

Definition at line 17 of file MyGUI_RotatingSkin.cpp.

MyGUI::RotatingSkin::~RotatingSkin | ( |  | ) |
| virtual

Definition at line 28 of file MyGUI_RotatingSkin.cpp.

## Member Function Documentation

void MyGUI::RotatingSkin::_correctView | ( |  | ) |
| virtual

Reimplemented from MyGUI::ISubWidget.

Definition at line 76 of file MyGUI_RotatingSkin.cpp.

void MyGUI::RotatingSkin::_rebuildGeometry | ( |  | ) |
| protected

Definition at line 225 of file MyGUI_RotatingSkin.cpp.

void MyGUI::RotatingSkin::_setAlign | ( | const IntSize & | _oldsize | ) |
| virtual

Reimplemented from MyGUI::ISubWidget.

Definition at line 84 of file MyGUI_RotatingSkin.cpp.

void MyGUI::RotatingSkin::_setColour | ( | const Colour & | _value | ) |
| virtual

Reimplemented from MyGUI::ISubWidgetRect.

Definition at line 190 of file MyGUI_RotatingSkin.cpp.

void MyGUI::RotatingSkin::_setUVSet | ( | const FloatRect & | _rect | ) |
| virtual

Reimplemented from MyGUI::ISubWidgetRect.

Definition at line 210 of file MyGUI_RotatingSkin.cpp.

void MyGUI::RotatingSkin::_updateView | ( |  | ) |
| virtual

Reimplemented from MyGUI::ISubWidget.

Definition at line 137 of file MyGUI_RotatingSkin.cpp.

void MyGUI::RotatingSkin::createDrawItem | ( | ITexture * | _texture,
|  | ILayerNode * | _node
| ) |  |
| virtual

Implements MyGUI::ISubWidget.

Definition at line 147 of file MyGUI_RotatingSkin.cpp.

void MyGUI::RotatingSkin::destroyDrawItem | ( |  | ) |
| virtual

Implements MyGUI::ISubWidget.

Definition at line 156 of file MyGUI_RotatingSkin.cpp.

void MyGUI::RotatingSkin::doRender | ( |  | ) |
| virtual

Implements MyGUI::ISubWidget.

Definition at line 165 of file MyGUI_RotatingSkin.cpp.

float MyGUI::RotatingSkin::getAngle | ( |  | ) | const

Get angle of rotation in radians

Definition at line 349 of file MyGUI_RotatingSkin.cpp.

IntPoint MyGUI::RotatingSkin::getCenter | ( | bool | _local = `true` | ) | const

Get center of rotation

Definition at line 50 of file MyGUI_RotatingSkin.cpp.

static const std::string& MyGUI::RotatingSkin::getClassTypeName | ( |  | ) |
| inline static

Definition at line 21 of file MyGUI_RotatingSkin.h.

virtual const std::string& MyGUI::RotatingSkin::getTypeName | ( |  | ) | const
| inline virtual

Get type name as string

Reimplemented from MyGUI::ISubWidgetRect.

Definition at line 21 of file MyGUI_RotatingSkin.h.

template<typename Type >

bool MyGUI::RotatingSkin::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 21 of file MyGUI_RotatingSkin.h.

virtual bool MyGUI::RotatingSkin::isType | ( | const std::type_info & | _type | ) | const
| inline virtual

Compare with selected type

Reimplemented from MyGUI::ISubWidgetRect.

Definition at line 21 of file MyGUI_RotatingSkin.h.

void MyGUI::RotatingSkin::setAlpha | ( | float | _alpha | ) |
| virtual

Reimplemented from MyGUI::ISubWidget.

Definition at line 67 of file MyGUI_RotatingSkin.cpp.

void MyGUI::RotatingSkin::setAngle | ( | float | _angle | ) |

Set angle of rotation in radians

Definition at line 32 of file MyGUI_RotatingSkin.cpp.

void MyGUI::RotatingSkin::setCenter | ( | const IntPoint & | _center | ) |

Set center of rotation

Parameters

  _center | Center point.

Definition at line 41 of file MyGUI_RotatingSkin.cpp.

void MyGUI::RotatingSkin::setStateData | ( | IStateInfo * | _data | ) |
| virtual

Reimplemented from MyGUI::ISubWidget.

Definition at line 200 of file MyGUI_RotatingSkin.cpp.

void MyGUI::RotatingSkin::setVisible | ( | bool | _visible | ) |
| virtual

Reimplemented from MyGUI::ISubWidget.

Definition at line 55 of file MyGUI_RotatingSkin.cpp.

The documentation for this class was generated from the following files:

- MyGUI_RotatingSkin.h
- MyGUI_RotatingSkin.cpp